{% extends "base.html.twig" %}

{% block title %}{{ 'user.page_title'|trans }}{% endblock %}

{% block content %}
<div class="uk-card">
    <div class="uk-card-header">
    {% if users.getNbPages > 1 %}
        {{ pagerfanta(users, 'twitter_bootstrap_translated', {'proximity': 1}) }}
    {% endif %}
        <div class="col s6">
            <p class="help">{{ 'user.description'|trans|raw }}</p>
        </div>
        <div class="col s6">
            <div class="input-field">
                <form name="search_users" method="GET" action="{{ path('user_index')}}">
                    {% if form_errors(searchForm) %}
                        <span class="black-text">{{ form_errors(searchForm) }}</span>
                    {% endif %}

                    {% if form_errors(searchForm.term) %}
                        <span class="black-text">{{ form_errors(searchForm.term) }}</span>
                    {% endif %}

                    {{ form_widget(searchForm.term, { 'attr': {'autocomplete': 'off', 'placeholder': 'user.search.placeholder'} }) }}

                    {{ form_rest(searchForm) }}
                </form>
            </div>
        </div>
    </div>
    <div class="uk-card-body">
        <table class="uk-table">
            <thead>
                <tr>
                    <th>{{ 'user.form.username_label'|trans }}</th>
                    <th>{{ 'user.form.email_label'|trans }}</th>
                    <th>{{ 'user.form.last_login_label'|trans }}</th>
                    <th>{{ 'user.list.actions'|trans }}</th>
                </tr>
            </thead>
            <tbody>
            {% for user in users %}
                <tr>
                    <td>{{ user.username }}</td>
                    <td>{{ user.email }}</td>
                    <td>{% if user.lastLogin %}{{ user.lastLogin|date('Y-m-d H:i:s') }}{% endif %}</td>
                    <td>
                        <a href="{{ path('user_view', {'id': user.id}) }}">{{ 'user.list.view_action'|trans }}</a>
                        <a href="{{ path('user_edit', { 'id': user.id }) }}">{{ 'user.list.edit_action'|trans }}</a>
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
    <div class="uk-card-footer">
        <br />
        <p>
            <a href="{{ path('user_new') }}" class="btn btn-success">{{ 'user.list.create_new_one'|trans }}</a>
        </p>
        {% if users.getNbPages > 1 %}
            {{ pagerfanta(users, 'twitter_bootstrap_translated', {'proximity': 1}) }}
        {% endif %}
    </div>
</div>

{% endblock %}
